Summary:        plain ASCII transliterations of Unicode text
Name:           perl-Text-Unidecode
Version:        1.30
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/Text-Unidecode
Source0:        https://cpan.metacpan.org/modules/by-module/Text/Text-Unidecode-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(integer) perl(strict)
BuildRequires:  perl(utf8) perl(vars) perl(warnings)
# Tests
BuildRequires:  perl(Test) perl(Text::Wrap)

BuildArch:      noarch

%description
What Text::Unidecode provides is a function, unidecode(...) that takes 
Unicode data and tries to represent it in US-ASCII characters (i.e., the 
universally displayable characters between 0x00 and 0x7F). The representation 
is almost always an attempt at transliteration-- i.e., conveying, in Roman 
letters, the pronunciation expressed by the text in some other writing system.
(See the example in the synopsis.)


%prep
%autosetup -n Text-Unidecode-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc README ChangeLog TODO.txt
%{perl_vendorlib}/Text/Unidecode/*
%{perl_vendorlib}/Text/Unidecode.pm
%{_mandir}/man3/*.3pm.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.30-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 doriscchao <doriscchao@tencent.com> - 1.30-1
- initial build, Version 1.30, Release 1
